package com.bpcl.lpg.core.payment.billdesk;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.bpcl.core.custom.exception.BpclInvalidPaymentResponseException;
import com.bpcl.lpg.core.model.LpgPaymentInfoModel;
import com.bpcl.facades.payment.refund.RefundMsdData;

public interface LPGRefundService
{
    void processRefund(final RefundMsdData p0, final LpgPaymentInfoModel p1) throws BpclInvalidPaymentResponseException, JsonProcessingException;
    
    void updateRefundDataToPaymentInfo(final RefundMsdData p0, final String p1, final LpgPaymentInfoModel p2) throws BpclInvalidPaymentResponseException;
}
